Difference between revisions of "Draft Facebinder/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(4 intermediate revisions by 2 users not shown)
Line 11: Line 11:
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft Facebinder
 
|Name=Draft Facebinder
|Name/fr=Faces liées Draft
+
|Name/fr=Draft Faces liées
 
|MenuLocation=Draft → Faces liées
 
|MenuLocation=Draft → Faces liées
 
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
 
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
 
|Shortcut=F F
 
|Shortcut=F F
|SeeAlso=[[Part Box/fr|Part Box]], [[Arch Wall/fr|Arch Wall]]
+
|SeeAlso=[[Part Box/fr|Part Cube]], [[Arch Wall/fr|Arch Mur]]
 
|Version=0.14
 
|Version=0.14
 
}}
 
}}
Line 31: Line 31:
  
 
# Choisissez une face ou maintenez {{KEY|Ctrl}} et choisissez plusieurs faces dans des objets solides.
 
# Choisissez une face ou maintenez {{KEY|Ctrl}} et choisissez plusieurs faces dans des objets solides.
# Appuyez sur le bouton {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder/fr|Faces liées Draft]]}} ou appuyez sur les touches {{KEY|F}} puis {{KEY|F}}.
+
# Appuyez sur le bouton {{Button|[[Image:Draft_Facebinder.svg|16px]] [[Draft_Facebinder/fr|Faces liées Draft]]}} ou appuyez sur les touches {{KEY|F}} puis {{KEY|F}}.
  
 
Le [[Draft Facebinder/fr|Faces liées Draft]] peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.
 
Le [[Draft Facebinder/fr|Faces liées Draft]] peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.
Line 97: Line 97:
  
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_ShapeString/fr|Formes à partir texte Draft]]
+
|[[Draft_ShapeString/fr|Formes à partir texte]]
|[[Draft_BezCurve/fr|Courbe de Bézier Draft]]
+
|[[Draft_BezCurve/fr|Courbe de Bézier]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_ShapeString.svg
 
|IconL=Draft_ShapeString.svg
Line 105: Line 105:
 
}}
 
}}
  
{{Draft Tools navi/fr}}
+
{{Draft Tools navi{{#translation:}}}}
 
+
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi/fr}}
 
 
{{clear}}
 
{{clear}}

Latest revision as of 21:05, 22 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft ShapeString.svg Formes à partir texte
Page suivante: Courbe de Bézier Draft BezCurve.svg Arrow-right.svg

Draft Facebinder.svg Draft Faces liées

Emplacement du menu
Draft → Faces liées
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
F F
Introduit dans la version
0.14
Voir aussi
Part Cube, Arch Mur


Description

L'outil Faces liées Draft crée un objet de surface à partir des faces sélectionnées d'un objet solide. Il est paramétrique, ce qui signifie que si vous modifiez l'objet d'origine, Faces liées Draft se met à jour en conséquence. Si vous déplacez et faites pivoter le Faces liées Draft, il restera lié aux faces d'origine.

Il peut être utilisé pour créer une extrusion à partir d'une collection de faces provenant d'autres objets. Une utilisation typique est dans la conception architecturale pour construire un objet qui recouvre plusieurs murs, par exemple un papier peint ou une finition murale.

Draft facebinder example.jpg

Faces liées sur un un mur


Utilisation

  1. Choisissez une face ou maintenez Ctrl et choisissez plusieurs faces dans des objets solides.
  2. Appuyez sur le bouton Draft Facebinder.svg Faces liées Draft ou appuyez sur les touches F puis F.

Le Faces liées Draft peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.

  • Pour ajouter une face, cliquez sur une face d'un objet solide dans la vue 3D, puis cliquez sur le bouton Arch Add.svg Ajouter.
  • Pour supprimer une face, sélectionnez l'un des sous-éléments de la liste, puis cliquez sur le bouton Arch Remove.svg Supprimer.
  • Appuyez sur Echap ou sur le bouton OK pour terminer l'édition.

Options

Cet objet n'a pas d'options lors de sa création. Seules les faces sélectionnées seront utilisées pour créer l'objet Faces liées Draft.

Propriétés

Données

  • DonnéesExtrusion: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
  • DonnéesRemove Splitter: mis à True, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
  • DonnéesSew: mis à True, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.

Vue

  • VuePattern: spécifie un Pattern Draft avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si DonnéesMake Face est True et si VueDisplay Mode est "Flat Lines".
  • VuePattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Faces liées Draft peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

Facebinder = makeFacebinder(selectionset)
  • Crée un objet Facebinder à partir du selectionset donné qui est une liste de SelectionObject tels que ceux renvoyés par FreeCADGui.Selection.getSelectionEx().
    • selectionset peut aussi être un PropertyLinkSubList.

Un PropertyLinkSubList est une liste de tuples ; chaque tuple contient comme premier élément un object, et comme deuxième élément une liste (ou tuple) de chaînes ; ces chaînes indiquent les noms des sous-éléments (faces) de cet objet.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

L'épaisseur de Facebinder peut être ajoutée en écrasant son attribut Extrusion. La valeur est entrée en millimètres.

Le placement de Facebinder peut être modifié en remplaçant son attribut Placement ou en écrasant individuellement ses attributs Placement.Base et Placement.Rotation.

Exemple:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
Arrow-left.svg Page précédente: Draft ShapeString.svg Formes à partir texte
Page suivante: Courbe de Bézier Draft BezCurve.svg Arrow-right.svg